Page MenuHomePhabricator | MITK

[PR230] Fix gizmo display and moving
Closed, ResolvedPublic

Description

When moving an object with direct manipulation (gizmo) along a single axis sometimes the controls reverse and the object moves up when dragging down, left when dragging right, etc.
Able to reproduce this issue after turning the object upside down with the rotation provided by direct manipulation.

In addition, 2D display does not scale well depending on the current zoom factor.

Both behaviors were fixed in the two commits provided. Displacement calculation was wrong, 2D rendering did not consider zoom factor.

Could be integrated into release branch and master.

Event Timeline

maleike created this task.Mar 12 2019, 11:16 AM
kislinsk edited projects, added MITK; removed MITK (2018-04-2).Mar 13 2019, 4:00 PM
kislinsk added a subscriber: kislinsk.

Sorry, this was too close to the MITK 2018.04.2 release to be considered to be part of the bugfix release.

kislinsk edited projects, added MITK (2018-04-4); removed MITK.Mar 29 2019, 8:39 AM
kislinsk triaged this task as Normal priority.Mar 29 2019, 1:59 PM
kislinsk claimed this task.
kislinsk renamed this task from Github pull request 230 (Fix gizmo display and moving) to [PR230] Fix gizmo display and moving.
kislinsk closed this task as Resolved.Mar 29 2019, 2:02 PM